#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun Sep 26 15:15:23 2021

@author: geopeter
"""

import geopandas as gpd

stationList = "empty"

def sqlToGeoPandas(sqlResult):
    resultGDF = gpd.GeoDataFrame(sqlResult);
        
    stationList = gpd.GeoDataFrame(resultGDF, geometry=gpd.points_from_xy(resultGDF.lat, resultGDF.lon)).reset_index()
    
    for i, row in stationList.filter(regex="^20|^19|^18").iteritems():
        stationList[i]= stationList[i].astype(float)
    
    return stationList

def determineAnnualMean(stationList):
    if(isinstance(stationList,list)):
        stationList = sqlToGeoPandas(stationList)
    
    stationList = stationList.sort_index(axis=1, ascending=True)
    
    stationList = stationList.filter(regex="^20|^19|^18")
    stationList.columns = stationList.columns.astype(int)
    
    stationMean = stationList.mean()
    
    stationMean = stationMean.dropna(axis=0)
    
    annualList = []
    for i, val in stationMean.items():
        annualItem = {}
        annualItem['date'] = i
        annualItem['value'] = val
        annualList.append(annualItem)
    
    
    return annualList